## python-pyramid-chameleon 0.3

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    = -W
SPHINXBUILD   = sphinx-build
PAPER         =

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d _build/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html web pickle htmlhelp latex changes linkcheck

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html      to make standalone HTML files"
	@echo "  pickle    to make pickle files (usable by e.g. sphinx-web)"
	@echo "  htmlhelp  to make HTML files and a HTML help project"
	@echo "  latex     to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  changes   to make an overview over all changed/added/deprecated items"
	@echo "  linkcheck to check all external links for integrity"

clean:
	-rm -rf _build/*

html:
	mkdir -p _build/html _build/doctrees
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) _build/html
	@echo
	@echo "Build finished. The HTML pages are in _build/html."

text:
	mkdir -p _build/text _build/doctrees
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) _build/text
	@echo
	@echo "Build finished. The HTML pages are in _build/text."

pickle:
	mkdir -p _build/pickle _build/doctrees
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) _build/pickle
	@echo
	@echo "Build finished; now you can process the pickle files or run"
	@echo "  sphinx-web _build/pickle"
	@echo "to start the sphinx-web server."

web: pickle

htmlhelp:
	mkdir -p _build/htmlhelp _build/doctrees
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) _build/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in _build/htmlhelp."

latex:
	mkdir -p _build/latex _build/doctrees
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) _build/latex
	cp _static/*.png _build/latex
	./convert_images.sh
	cp _static/latex-warning.png _build/latex
	cp _static/latex-note.png _build/latex
	@echo
	@echo "Build finished; the LaTeX files are in _build/latex."
	@echo "Run \`make all-pdf' or \`make all-ps' in that directory to" \
	      "run these through (pdf)latex."

changes:
	mkdir -p _build/changes _build/doctrees
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) _build/changes
	@echo
	@echo "The overview file is in _build/changes."

linkcheck:
	mkdir -p _build/linkcheck _build/doctrees
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) _build/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in _build/linkcheck/output.txt."

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) _build/epub
	@echo
	@echo "Build finished. The epub file is in _build/epub."

=== debian/changelog ===
python-pyramid-chameleon (0.3-5) unstable; urgency=medium

  * debian/patches/PR34.patch
    - fix compatibility with pyramid 2.x; Closes: #996406

 -- Sandro Tosi <morph@debian.org>  Wed, 01 Dec 2021 00:08:38 -0500

python-pyramid-chameleon (0.3-4) unstable; urgency=medium

  * Team Upload.
  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Repository, Repository-Browse.

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with
    new Debian Python Team contact address
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa layout

  [ Nilesh Patra ]
  * Add onovy's changes for 0.3-3 which seem unpushed
  * Fix doc build
  * Add python3-setuptools to Build-deps
    (Closes: #975814)
  * Bump Watch file standard to 4
  * Standards-Version: 4.5.1, debhelper-compat: 13
  * Add "Rules-Requires-Root:no"

 -- Nilesh Patra <npatra974@gmail.com>  Sun, 13 Dec 2020 19:27:55 +0000

python-pyramid-chameleon (0.3-3) unstable; urgency=medium

  * Team upload.
  * Disable intersphinx mapping (Closes: #915336)

 -- Ondřej Nový <onovy@debian.org>  Sat, 10 Aug 2019 11:59:34 +0200

python-pyramid-chameleon (0.3-2) unstable; urgency=medium

  * Team upload.
  * Use debhelper-compat instead of debian/compat.
  * Drop Python 2 support.
  * Set PYBUILD_NAME.
  * Disable failing test.
  * Bump debhelper compat level to 12.
  * Bump standards version to 4.4.0 (no changes).
  * Enable autopkgtest-pkg-python testsuite instead of manual one.

 -- Ondřej Nový <onovy@debian.org>  Fri, 09 Aug 2019 11:12:38 +0200

python-pyramid-chameleon (0.3-1) unstable; urgency=medium

  * Initial release (Closes: #785048).
    - Also package Python 2 version as it is an enhancement to python-pyramid.

 -- Nicolas Dandrimont <olasd@debian.org>  Thu, 26 Apr 2018 16:44:59 +0200

=== debian/control ===
Source: python-pyramid-chameleon
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Nicolas Dandrimont <olasd@debian.org>
Section: python
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-python (>= 3~),
               python3-all,
               python3-setuptools,
               python3-pyramid,
               python3-chameleon,
               python3-sphinx,
               python3-repoze.sphinx.autointerface,
               python3-nose
Standards-Version: 4.5.1
Homepage: https://docs.pylonsproject.org/projects/pyramid_chameleon/en/latest/
Vcs-Git: https://salsa.debian.org/python-team/packages/python-pyramid-chameleon.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-pyramid-chameleon
Testsuite: autopkgtest-pkg-python
Rules-Requires-Root: no

Package: python3-pyramid-chameleon
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Suggests: python-pyramid-chameleon-docs
Enhances: python3-pyramid
Description: Chameleon templating support for the Pyramid framework - Python 3.x version
 Pyramid is a small, fast, down-to-earth, open source Python web development
 framework. It makes real-world web application development and deployment
 more fun, more predictable, and more productive.
 .
 Chameleon is an XML-based template compiler implementing the Zope Page
 Templates (ZPT) language.
 .
 This package provides bindings for the Chameleon templating system to work
 under the Pyramid web framework, in its Python 3 version.

Package: python-pyramid-chameleon-doc
Architecture: all
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Section: doc
Description: Chameleon templating support for the Pyramid framework - Documentation
 Pyramid is a small, fast, down-to-earth, open source Python web development
 framework. It makes real-world web application development and deployment
 more fun, more predictable, and more productive.
 .
 Chameleon is an XML-based template compiler implementing the Zope Page
 Templates (ZPT) language.
 .
 This package provides the documentation for the Pyramid bindings for Chameleon.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=pyramid-chameleon
export PYBUILD_TEST_ARGS=-e test___call__spec_alreadyregistered

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_clean:
	rm -rf docs/_build
	dh_auto_clean

override_dh_auto_build:
	dh_auto_build
ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
	PYTHONPATH=$(CURDIR) $(MAKE) -C docs html
endif

=== debian/tests/control ===
Depends: python3-pyramid-chameleon, python3-all, python3-nose
Test-Command: cd $AUTOPKGTEST_TMP; for p in $(py3versions -s); do $p -m nose -v -e test___call__spec_alreadyregistered pyramid_chameleon.tests ; done
Restrictions: allow-stderr

=== debian/watch ===
version=4
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/pyramid_chameleon/pyramid_chameleon-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
